Subject: bug#18183: 24.3; table-fixed-width-mode fails with kill/yank

From: Boruch Baum <[email-masked]>
Date: Sun, 6 Dec 2020 13:20:23 -0500

On 2020-12-06 15:30, Lars Ingebrigtsen wrote:
> So I'm wondering -- has this ever worked?

Are you able to easily try it in emacs 24 or emacs 23? From the wording
of the original report, it seems that at one point the truncate-word
with the continuation symbol was working in some cases.

The mode in its current state isn't absolutely totally useless. It still
succeeds in maintaining cell width as long as all words are less than
the cell width. What I mean is that it successfully performs line wraps
when the line wrap doesn't call for truncation. Hmm. I'm not sure that
I'm describing it properly yet, so try this: after creating a table
using insert-table, enter the cell editor using C-c ' and type in a
bunch of space-delimited single alphanumeric characters. That case
successfully maintains the cell width and line wraps.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0